{% load network %}
# The file is WirelessLeiden specific. Please make all changes in exodus
#
# Generated on {% now "G:i j-n-Y" %} 
# by {{ node.host }}
#
# Node: {{ node.name }}
# File: rc.local


default-lease-time 7200;
max-lease-time 2592000;

ddns-update-style none;

option domain-name "{{ node.network }}";

{% for nic in node.interface_set.all %}
	{% for omni in nic.omni.all %}
# {{ omni.desc }}
subnet {% network omni.ip omni.netmask %} netmask {{ omni.netmask|subnet }} {
	range {{ omni.dhcpstart }} {{ omni.dhcpstop }};
	option routers {{ omni.ip }};
	option broadcast-address {% broadcast omni.ip omni.netmask %};
	option subnet-mask {{ omni.netmask|subnet }};
	option domain-name-servers {{ omni.ip }};
} {% endfor %}

# {{ nic.desc }}
subnet {% network nic.ip nic.netmask %} netmask {{ nic.netmask|subnet }} { not authoritative; }
{% endfor %}
